### Type parameters

- #### T

- #### E

### Hierarchy

- Task

## Index

### Methods

- catch
- chain
- map

## Methods

### catch

- catch<TResult, EResult>(fn: ITaskChainFn<E, TResult, EResult>): Task<T | TResult, EResult | UnknownError>

- - Defined in src/task/task-operators.ts:12

  #### Type parameters

  - #### TResult

  - #### EResult

  #### Parameters

  - ##### fn: ITaskChainFn<E, TResult, EResult>

  #### Returns Task<T | TResult, EResult | UnknownError>

### chain

- chain<TResult, EResult>(fn: ITaskChainFn<T, TResult, EResult>): Task<TResult, E | EResult | UnknownError>

- - Defined in src/task/task-operators.ts:11

  #### Type parameters

  - #### TResult

  - #### EResult

  #### Parameters

  - ##### fn: ITaskChainFn<T, TResult, EResult>

  #### Returns Task<TResult, E | EResult | UnknownError>

### map

- map<TResult>(fn: IMapFn<T, TResult>): Task<TResult, E | UnknownError>

- - Defined in src/task/task-operators.ts:10

  #### Type parameters

  - #### TResult

  #### Parameters

  - ##### fn: IMapFn<T, TResult>

  #### Returns Task<TResult, E | UnknownError>

Generated using TypeDoc